package main

import (
	"github.com/stretchr/testify/require"
	"testing"
)

func TestSuggestionsOneLetter(t *testing.T) {
	suggestions := GetSuggestionsFor("l")
	require.Len(t, suggestions, 2)
	require.Equal(t, "list", suggestions[0].Text)
	require.Equal(t, "logout", suggestions[1].Text)
}

//func TestSuggestionsRoot(t *testing.T) {
//	suggestions := GetSuggestionsFor("")
//	require.Len(t, suggestions, 2)
//	require.Equal(t, "list", suggestions[0].Text)
//	require.Equal(t, "logout", suggestions[1].Text)
//}
//
//func TestSuggestionsFullPart(t *testing.T) {
//	suggestions := GetSuggestionsFor("list")
//	require.Len(t, suggestions, 2)
//	require.Equal(t, "issues", suggestions[0].Text)
//	require.Equal(t, "projects", suggestions[1].Text)
//}
